> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get retrieves a single authentication provider configuration by its ID.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/auth-configs/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/auth-configs/{id}:
    get:
      tags:
        - Auth Config
      summary: Get
      description: Get retrieves a single authentication provider configuration by its ID.
      operationId: c1.api.auth_config.v1.TenantAuthConfigService.Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: >-
              The unique identifier of the authentication provider configuration
              to retrieve.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.auth_config.v1.TenantAuthConfigServiceGetResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.TenantAuthConfig.Get(ctx, operations.C1APIAuthConfigV1TenantAuthConfigServiceGetRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TenantAuthConfigServiceGetResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.tenantAuthConfig.get({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.auth_config.v1.TenantAuthConfigServiceGetResponse:
      description: The TenantAuthConfigServiceGetResponse message.
      properties:
        authConfig:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.TenantAuthConfig'
            - type: 'null'
      title: Tenant Auth Config Service Get Response
      type: object
      x-speakeasy-name-override: TenantAuthConfigServiceGetResponse
    c1.api.auth_config.v1.TenantAuthConfig:
      description: >
        The TenantAuthConfig message.


        This message contains a oneof named provider_config. Only a single field
        of the following list may be set at a time:
          - google
          - microsoft
          - okta
          - onelogin
          - jumpcloud
          - pingone
          - oidc
          - c1Local
      properties:
        bootstrapDomains:
          description: >-
            Bootstrap routing: email domains that route unknown users to this
            config.
          items:
            type: string
          type:
            - array
            - 'null'
        c1Local:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigC1Local'
            - type: 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deprecationDeadline:
          format: date-time
          type:
            - string
            - 'null'
        deprecationMessage:
          description: User-visible message shown when status=DEPRECATED.
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type:
            - string
            - 'null'
        google:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigGoogle'
            - type: 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
        isDefaultBootstrap:
          description: The isDefaultBootstrap field.
          type:
            - boolean
            - 'null'
        jumpcloud:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigJumpCloud'
            - type: 'null'
        microsoft:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigMicrosoft'
            - type: 'null'
        oidc:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigOIDC'
            - type: 'null'
        okta:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigOkta'
            - type: 'null'
        onelogin:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigOneLogin'
            - type: 'null'
        pingone:
          oneOf:
            - $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigPingOne'
            - type: 'null'
        providerType:
          description: >-
            Provider type (read-only after creation — provider config determines
            type).
          enum:
            - AUTH_CONFIG_PROVIDER_TYPE_UNSPECIFIED
            - AUTH_CONFIG_PROVIDER_TYPE_GOOGLE
            - AUTH_CONFIG_PROVIDER_TYPE_MICROSOFT
            - AUTH_CONFIG_PROVIDER_TYPE_OKTA
            - AUTH_CONFIG_PROVIDER_TYPE_ONELOGIN
            - AUTH_CONFIG_PROVIDER_TYPE_JUMPCLOUD
            - AUTH_CONFIG_PROVIDER_TYPE_PINGONE
            - AUTH_CONFIG_PROVIDER_TYPE_OIDC
            - AUTH_CONFIG_PROVIDER_TYPE_C1_LOCAL
          readOnly: true
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        status:
          description: The status field.
          enum:
            - AUTH_CONFIG_STATUS_UNSPECIFIED
            - AUTH_CONFIG_STATUS_ACTIVE
            - AUTH_CONFIG_STATUS_DEPRECATED
            - AUTH_CONFIG_STATUS_DISABLED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Tenant Auth Config
      type: object
      x-speakeasy-name-override: TenantAuthConfig
    c1.api.auth_config.v1.AuthConfigC1Local:
      description: The AuthConfigC1Local message.
      properties:
        delegatedVerifiers:
          description: The delegatedVerifiers field.
          items:
            enum:
              - DELEGATED_VERIFIER_TYPE_UNSPECIFIED
              - DELEGATED_VERIFIER_TYPE_GOOGLE
              - DELEGATED_VERIFIER_TYPE_MICROSOFT
              - DELEGATED_VERIFIER_TYPE_GITHUB
            type: string
            x-speakeasy-unknown-values: allow
          type:
            - array
            - 'null'
      title: Auth Config C 1 Local
      type: object
      x-speakeasy-name-override: AuthConfigC1Local
    c1.api.auth_config.v1.AuthConfigGoogle:
      description: The AuthConfigGoogle message.
      properties:
        hostedDomains:
          description: The hostedDomains field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Auth Config Google
      type: object
      x-speakeasy-name-override: AuthConfigGoogle
    c1.api.auth_config.v1.AuthConfigJumpCloud:
      description: The AuthConfigJumpCloud message.
      properties:
        oidcClientId:
          description: The oidcClientId field.
          type:
            - string
            - 'null'
        oidcClientSecret:
          description: Write-only. Never returned in get/list.
          type:
            - string
            - 'null'
      title: Auth Config Jump Cloud
      type: object
      x-speakeasy-name-override: AuthConfigJumpCloud
    c1.api.auth_config.v1.AuthConfigMicrosoft:
      description: The AuthConfigMicrosoft message.
      properties:
        tenantIds:
          description: The tenantIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Auth Config Microsoft
      type: object
      x-speakeasy-name-override: AuthConfigMicrosoft
    c1.api.auth_config.v1.AuthConfigOIDC:
      description: The AuthConfigOIDC message.
      properties:
        exactMatchClaims:
          additionalProperties:
            type: string
          description: The exactMatchClaims field.
          type: object
        issuerId:
          description: The issuerId field.
          type:
            - string
            - 'null'
        oidcClientId:
          description: The oidcClientId field.
          type:
            - string
            - 'null'
        oidcClientSecret:
          description: The oidcClientSecret field.
          type:
            - string
            - 'null'
        scopes:
          description: The scopes field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Auth Config Oidc
      type: object
      x-speakeasy-name-override: AuthConfigOIDC
    c1.api.auth_config.v1.AuthConfigOkta:
      description: The AuthConfigOkta message.
      properties:
        domain:
          description: The domain field.
          type:
            - string
            - 'null'
        oidcClientId:
          description: The oidcClientId field.
          type:
            - string
            - 'null'
        oidcClientSecret:
          description: Write-only. Never returned in get/list.
          type:
            - string
            - 'null'
      title: Auth Config Okta
      type: object
      x-speakeasy-name-override: AuthConfigOkta
    c1.api.auth_config.v1.AuthConfigOneLogin:
      description: The AuthConfigOneLogin message.
      properties:
        domain:
          description: The domain field.
          type:
            - string
            - 'null'
        oidcClientId:
          description: The oidcClientId field.
          type:
            - string
            - 'null'
        oidcClientSecret:
          description: The oidcClientSecret field.
          type:
            - string
            - 'null'
      title: Auth Config One Login
      type: object
      x-speakeasy-name-override: AuthConfigOneLogin
    c1.api.auth_config.v1.AuthConfigPingOne:
      description: The AuthConfigPingOne message.
      properties:
        environmentId:
          description: The environmentId field.
          type:
            - string
            - 'null'
        oidcClientId:
          description: The oidcClientId field.
          type:
            - string
            - 'null'
        oidcClientSecret:
          description: The oidcClientSecret field.
          type:
            - string
            - 'null'
      title: Auth Config Ping One
      type: object
      x-speakeasy-name-override: AuthConfigPingOne
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````